<?php require_once('Connections/paivaconex.php'); 
include("FusionCharts_Enterprise/Code/PHP/Includes/FusionCharts.php");
session_start();
?>

<script language="javascript" src="FusionCharts_Enterprise/JSClass/FusionCharts.js"></script>

<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

$sql = '';

if (count($_POST) >=1) {
	if (isset($_POST['mes'])) {
		$quando[] = "month(datafluxo) IN (".implode( " ,",$_POST['mes']).")";
	}
	if (isset($_POST['ano'])) {
		$quando[] = "year(datafluxo) IN (".implode( " ,",$_POST['ano']).")";
	}
	if (isset($_POST['dia'])) {
		$quando[] = "day(datafluxo) IN (".implode( " ,",$_POST['dia']).")";
	}
	if (isset($_POST['cliente'])) {
		$quando[] = "Cliente IN (".implode( " ,",$_POST['cliente']).")";
	}
	if (isset($_POST['pasta'])) {
		$quando[] = "Pasta IN (".implode( " ,",$_POST['pasta']).")";
	}
	if (isset($_POST['status'])) {
		$quando[] = "status IN (".implode( " ,",$_POST['status']).")";
	}
	if (isset($_POST['detalhe'])) {
		$quando[] = "dashboard.Detalhe IN ('".implode( "' ,'",$_POST['detalhe'])."')";
	}
	$sql = "WHERE ".implode( " AND ", $quando);	
}

mysql_select_db($database_paivaconex, $paivaconex);
$query_clientes = "Select dashboard.Detalhe as det, Sum(vl_rec+Custas) as vl, Sum(Juros_rec) as juros, LEFT(dashboard.Detalhe, 5000) as det_nome, NomeFantasia as cli_nome, mfin_pastas.Numero as numpasta, DATE_FORMAT(Emissao, '%d/%m/%Y') as recebimento from dashboard Inner Join mfin_clientes ON Cliente = mfin_clientes.Id Left Join mfin_pastas ON Pasta = mfin_pastas.Id ".$sql." Group by dashboard.Detalhe, mfin_clientes.Id, mfin_pastas.Id, Emissao  order by Emissao, mfin_pastas.Numero, Sum(vl_rec+Custas) desc";
$clientes = mysql_query($query_clientes, $paivaconex) or die(mysql_error());
$row_clientes = mysql_fetch_assoc($clientes);
$totalRows_clientes = mysql_num_rows($clientes);
?> 
<table width="1100" border="1">
  <tr bgcolor="#CCCCCC" style="font-size: 12px">
  	<td height="22" align="center">Recebimento</td>
    <td height="22" align="center">Pasta</td>
    <td height="22" align="center">Cliente</td>
    <td height="22" align="center">Detalhe</td>
    <td align="center">Valor</td>
  </tr>
  
    <?php 
	$juros = 0;
	do { ?>
      <tr style="font-size: 12px">
      	<td height="22" align="center"><?php echo htmlentities($row_clientes['recebimento'], ENT_COMPAT, 'utf-8'); ?></td>
      	<td height="22" align="center"><?php echo htmlentities($row_clientes['numpasta'], ENT_COMPAT, 'utf-8'); ?></td>
        <td height="22" align="center"><?php echo htmlentities($row_clientes['cli_nome'], ENT_COMPAT, 'utf-8'); ?></td>
        <td height="22" align="center"><?php echo htmlentities($row_clientes['det_nome'], ENT_COMPAT, 'utf-8'); ?></td>
        <td width="188" align="right"><?php echo number_format($row_clientes['vl'],2,',','.'); ?></td>
      </tr>
      <?php 
	  $juros += $row_clientes['juros'];
	  } while ($row_clientes = mysql_fetch_assoc($clientes)); ?>
    <tr>
    <td colspan="4" height="22" align="left">Receita Financeira (Bruto)</td>
    <td  align="right"><?php echo number_format($juros,2,',','.'); ?></td>
  </tr>
</table>

<?php mysql_free_result($clientes); ?>